//////////////////↓環境に合わせて変更するパラメーター///////////////////////////////////

const inputName1 = 'myform_EXT_8_ANKEN_PRODUCT_INTEGER_5_';
const inputName2 = 'myform_extension8011';
const inputName3 = 'myform_EXT_2_ANK_INTEGER_20_id';

//////////////////↑環境に合わせて変更するパラメータ/////////////////////////////////////

//計算元項目が編集された際に、処理が走るようにトリガーをセット
$(document).ready(function(){
	$("[id^=" + inputName1 + "]").attr('onchange', 'calcTotalPrice();');
	$("[id^=" + inputName2 + "]").attr('onchange', 'calcTotalPrice();');
});

//合計値を算出
function calcTotalPrice() {
	
	//商品毎の入力値、商品数を取得
	const price = $("[id^=" + inputName1 + "]");
	const amount = $("[id^=" + inputName2 + "]");
	const productList = $('.commodityDetail').length;
	const totalPrice = $("[id=" + inputName3 + "]").val();
	let sum = 0;
	
	//商品の数だけ、数量×原価を計算し全商品分の合計を算出
	for (let i = 0; i < productList; ++i) {
		if(price[i].value) {
			if(amount[i].value) {
				sum += Number(removeCommaCustom(price[i].value) * removeCommaCustom(amount[i].value));
			}
		}
	}
	
	//指定の項目に計算結果を入れ込む
	$("[id=" + inputName3 + "]").val(sum);

}

//カンマを削除
function removeCommaCustom(string) {
    let removed = string.replace(/,/g, '');
    return Number(parseInt(removed, 10));
}